> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a new donor



## OpenAPI

````yaml post /frontend/signup_donor/{client_id}/{program_id}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/signup_donor/{client_id}/{program_id}/{session_id}:
    post:
      tags:
        - Donor SignUp
      summary: Add a new donor
      operationId: 5483645c9cdaa17f19a19630940eebe3
      parameters:
        - name: client_id
          in: path
          description: The id of the client
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: The id of the program
          required: true
          schema:
            type: integer
        - name: session_id
          in: path
          description: The id of the session
          required: true
          schema:
            type: string
      requestBody:
        description: Donor data
        required: true
        content:
          application/json:
            schema:
              properties:
                username:
                  type: string
                  example: johndoe
                email:
                  type: string
                  example: johndoe@example.com
                password:
                  type: string
                  example: password123
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  redirect_url:
                    type: string
                    example: frontend/donor_view/1/1/1
                  status:
                    type: string
                    example: success
                type: object
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Validation error
                  errors:
                    type: object
                type: object

````